<?php
	require_once("lib.php");

	$subtitle = "Add course";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();


	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		course_form($GLOBALS['TITLE'], $subtitle, $user, "addcourse/");
		exit();
	}

	// Validate Input
	$course = validate($_POST['course'], $db);
	$title = validate($_POST['title'], $db);
	$description = validate($_POST['description'], $db);
	$credits = validate($_POST['credits'], $db, "numeric");

	// bunch of specific input validation, (this should be enforced by database, but mysql doesnt support check constraints)
	if ( $credits['html'] == null )
	{
		course_form($GLOBALS['TITLE'], $subtitle, $user, "addcourse/", $course['html'], $title['html'], $credits['html'], $description['html'], "Credits must be numeric"); 
		exit();
	}
	else if ($credits['html'] != -1 && $credits['html'] <= 0)
	{
		course_form($GLOBALS['TITLE'], $subtitle, $user, "addcourse/", $course['html'], $title['html'], $credits['html'], $description['html'], "Credits must be greater than zero"); 
		exit();
	}

	// Add course
	$query = $db->query("INSERT INTO courses VALUES('$course[sql]', '$title[sql]', $credits[sql], '$description[sql]')");
	if (!DB::isError($query))
	{
		success_page($GLOBALS['TITLE'], $subtitle, $user, "index/", "$course[html] added.");
	}
	else
	{
		$error = getError($query);
		error_page($GLOBALS['TITLE'], $subtitle, $user, "Failed to add course: " . $error);
	}
?>