<?php
	require_once("lib.php");

	$subtitle = "Delete assignment";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	// Validate input
	$course = validate($_GET['course'], $db);
	$section = validate($_GET['section'], $db);
	$semester = validate($_GET['semester'], $db);
	$year = validate($_GET['year'], $db);
	$assignment = validate($_GET['assignment'], $db);

	// delete section
	$query = $db->query("DELETE FROM assignments WHERE course = '$course[sql]' and section = $section[sql] and semester = '$semester[sql]' and year = $year[sql] and assignment = '$assignment[sql]'");
	if (!DB::isError($query))
	{
		include "head.html";
		echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
		echo "<meta http-equiv=\"refresh\" content=\"3;url=$GLOBALS[BASE_URL]/section/$course[url]/$section[url]/$semester[url]/$year[url]/\" />";
		include "header.html";
		echo "<div class=\"title\"><a class=\"index\" href=\"course/$course[url]/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
		echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";
		echo "<div>Assignment Deleted</div>";
		include "footer.html";
	}
	else
	{
		$error = getError($query);

		include "head.html";
		echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
		include "header.html";
		echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
		echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";
		echo "<div>Failed to delete assignment: $error.</div>";
		include "footer.html";
	}
?>