function check(id)
{
	var	xmlHttp;
	var	input = document.getElementById(id).value;

	try
	{
		xmlHttp = new XMLHttpRequest();
	}
	catch (e)
	{
		try
		{
			xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
		        {
				xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e)
		        {
				return false;
			}
		}
	}

	xmlHttp.open("GET", "ajax.php?" + id + "=" + input, true);
	xmlHttp.send(null);

	xmlHttp.onreadystatechange = function()
	{
		var	msg;

		switch (xmlHttp.readyState)
		{
		case 0:
			// The request not sent
			msg = "...";
			break
		case 1:
			// The request has been opened
			msg = "Sending validation request.";
			xmlHttp.send(null);	
			break
		case 2:
			// The request has been sent
			msg = "Validation request sent.";
			break
		case 3:
			// The request is in process
			msg = "Validation request loading.";
			break
		case 4:
			// The request is complete
			if (xmlHttp.status == 200)
			{
				msg = xmlHttp.responseText;
			}
			else
			{
				msg = "Validation request failed: HTTP " + xmlHttp.status;
			}
			break
		}
		document.getElementById("ajax_" + id).innerHTML = msg; 
	}
}

function check_email()
{
	var	at_count = 0;
	var	dot_count = 0;
	var	email = document.getElementById("email").value;

	for(var i = 0; i < email.length; i++)
	{

		if (email.charAt(i) == "@")
		{
			at_count++;
		}

		if (email.charAt(i) == ".")
		{
			dot_count++;
		}
	}

	if (at_count == 1 && dot_count > 0)
	{
		document.getElementById("valid_email").innerHTML = "<span class=\"grant\"><img class=\"icon\" src=\"images/icons/green/checkmark.gif\" width=\"16\" height=\"16\" alt=\"green checkmark\" />Email appears valid.</span>";
	}
	else
	{
		document.getElementById("valid_email").innerHTML = "<span class=\"accept\"><img class=\"icon\" src=\"images/icons/blue/x.gif\" width=\"16\ height=\"16\" alt=\"blue checkmark\" />Email appears invalid.</span>";
	}
}


function unlock(idclass, id, url)
{
	var linkid = document.getElementById(idclass + "_url" + id);
	var imageid = document.getElementById(idclass + "_image" + id);

	linkid.href = url;
	imageid.src = "images/icons/red/x.gif";
	imageid.alt = "red x";
}