<?php
function course_form($title, $subtitle, $user, $action, $course = " ", $Title = " ", $credits = "3", $description = " ", $error = null)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>\n";
	if ($error)
	{
		echo "<div class=\"deny\">$error</div>\n";
	}
	echo "<div id=\"form\" class=\"form\">\n";
	echo "<form method=\"post\" action=\"$action\">\n";
	echo "<table>\n";
	echo "<tr><td>Course:</td><td><input type=\"text\" name=\"course\" value=\"$course\" /></td></tr>\n";
	echo "<tr><td>Title:</td><td><input type=\"text\" name=\"title\" value=\"$Title\" /></td></tr>\n";
	echo "<tr><td>Credits:</td><td><input type=\"text\" name=\"credits\" value=\"$credits\" /></td></tr>\n";
	echo "<tr><td>Description:</td><td><textarea cols=\"40\" rows=\"5\" name=\"description\">$description</textarea></td></tr>\n";
	echo "<tr><td><input type=\"hidden\" name=\"course_key\" value=\"$course\" /></td><td><button type=\"submit\">Submit</button></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";
	echo "</div>\n";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - Section List - Section - Report - Email - Print</div>";
	include "footer.html";
}

function section_form($title, $subtitle, $user, $action, $course, $section = " ", $semester = " ", $year = " ", $instructor = " ", $schedule = " ", $location = " ", $error = null)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"course/$course/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";
	if ($error)
	{
		echo "<div class=\"deny\">$error</div>\n";
	}
	echo "<div id=\"form\" class=\"form\">\n";
	echo "<form method=\"post\" action=\"$action\">\n";
	echo "<table>\n";
	echo "<tr><td>Section:</td><td><input type=\"text\" name=\"section\" value=\"$section\"/></td></tr>\n";
	echo "<tr><td>Semester:</td>\n";
	echo "<td>\n";
	echo "<select name=\"semester\">\n";
	if ($semester == "Fall")
	{
		echo "\t<option selected=\"selected\" value=\"Fall\">Fall</option>\n";
	}
	else
	{
		echo "\t<option value=\"Fall\">Fall</option>\n";
	}
	if ($semester == "Spring")
	{
		echo "\t<option selected=\"selected\" value=\"Spring\">Spring</option>\n";
	}
	else
	{
		echo "\t<option value=\"Spring\">Spring</option>\n";
	}
	if ($semester == "Summer")
	{
		echo "\t<option selected=\"selected\" value=\"Summer\">Summer</option>\n";
	}
	else
	{
		echo "\t<option value=\"Summer\">Summer</option>\n";
	}
	echo "</select>\n";
	echo "</td></tr>\n";
	echo "<tr><td>Year:</td><td><input type=\"text\" name=\"year\" value=\"$year\" /></td></tr>\n";
	echo "<tr><td>Instructor:</td><td><input type=\"text\" name=\"instructor\" value=\"$instructor\" /></td></tr>\n";
	echo "<tr><td>Schedule:</td><td><input type=\"text\" name=\"schedule\" value=\"$schedule\" /></td></tr>\n";
	echo "<tr><td>Location:</td><td><input type=\"text\" name=\"location\" value=\"$location\" /></td></tr>\n";
	echo "<tr><td><input type=\"hidden\" name=\"course_key\" value=\"$course\"/>\n";
	echo "<input type=\"hidden\" name=\"section_key\" value=\"$section\"/>\n";
	echo "<input type=\"hidden\" name=\"semester_key\" value=\"$semester\"/>\n";
	echo "<input type=\"hidden\" name=\"year_key\" value=\"$year\"/>\n";
	echo "</td><td><button type=\"submit\">Submit</button></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n</div>\n";
	$ucourse = urlencode($course);
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$ucourse/\">Section List</a> - Section - Report - Email - Print</div>";
	include "footer.html";
}

function student_form($title, $subtitle, $user, $action, $username, $id = " ", $name = " ", $major = " ", $error = null)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";
	if ($error)
	{
		echo "<div class=\"deny\">$error</div>\n";
	}
	echo "<div id=\"form\" class=\"form\">\n";
	echo "<form method=\"post\" action=\"$action\">\n";
	echo "<table>\n";
	echo "<tr><td>Id:</td><td><input type=\"text\" name=\"id\" value=\"$id\" /></td></tr>\n";
	echo "<tr><td>Name:</td><td><input type=\"text\" name=\"name\" value=\"$name\" /></td></tr>\n";
	echo "<tr><td>Major:</td><td><input type=\"text\" name=\"major\" value=\"$major\" /></td></tr>\n";
	echo "<tr><td><input type=\"hidden\" name=\"username\" value=\"$username\" /></td>\n";
	echo "<td><button type=\"submit\">Submit</button></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n</div>\n";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - Section List - Section - Email - Print</div>\n";
	include "footer.html";
}

function assignment_form($title, $subtitle, $user, $action, $course, $section, $semester, $year, $assignment = " ", $percentage = " ", $due = array(" "," "," "), $description = " ", $error = null)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>\n";
	if ($error)
	{
		echo "<div class=\"deny\">$error</div>\n";
	}
	echo "<div class=\"form\">\n<form method=\"post\" action=\"$action\">\n";
	echo "<table>\n";
	echo "<tr><td>Assignment:</td><td><input type=\"text\" name=\"assignment\" value=\"$assignment\" /></td></tr>\n";
	echo "<tr><td>Percentage:</td><td><input type=\"text\" name=\"percentage\" value=\"$percentage\" /></td></tr>\n";
	echo "<tr><td>Due Date:</td>\n<td>";
	echo "<select name=\"date_month\">\n";
	for ($i = 0; $i < 12; $i++)
	{
		$month = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");

		if ($i + 1 == trim($due[1]))
		{
			printf("<option selected=\"selected\" value=\"%02d\">$month[$i]</option>", $i);
		}
		else
		{
			printf("<option value=\"%02d\">$month[$i]</option>", $i);
		}
	}
	echo "</select>\n";
	echo "<select name=\"date_day\">\n";
	for ($i = 1; $i < 32; $i++)
	{
		if ($i == trim($due[2]))
		{
			printf("<option selected=\"selected\" value=\"%02d\">$i</option>\n", $i);
		}
		else
		{
			printf("<option value=\"%02d\">$i</option>\n", $i);
		}
	}
	echo "</select>\n";
	echo "<select name=\"date_year\">\n";
	for ($i = 2007; $i <= date("Y") + 3; $i++)
	{
		if ($i == trim($due[0]))
		{
			echo "<option selected=\"selected\" value=\"$i\">$i</option>\n";
		}
		else
		{
			echo "<option value=\"$i\">$i</option>\n";
		}
	}
	echo "</select>\n";

	echo "</td></tr>\n<tr><td>Description:</td><td><textarea cols=\"40\" rows=\"5\" name=\"description\">$description</textarea></td></tr>\n";
	echo "<tr><td>\n";
	echo "<input type=\"hidden\" name=\"course_key\" value=\"$course\" />\n";
	echo "<input type=\"hidden\" name=\"section_key\" value=\"$section\" />\n";
	echo "<input type=\"hidden\" name=\"semester_key\" value=\"$semester\" />\n";
	echo "<input type=\"hidden\" name=\"year_key\" value=\"$year\" />\n";
	echo "<input type=\"hidden\" name=\"assignment_key\" value=\"$assignment\" />\n";
	echo "</td><td><button type=\"submit\">Submit</button></td></tr>\n";
	echo "</table></form></div>\n";

	$ucourse = urlencode($course);
	$usection = urlencode($section);
	$usemester = urlencode($semester);
	$uyear = urlencode($year);
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$ucourse/\">Section List</a> - <a href=\"section/$ucourse/$usection/$usemester/$uyear/\">Section</a> - <a href=\"report/$ucourse/$usection/$usemester/$uyear/\">Report</a> - Email - Print</div>";
	include "footer.html";
}

function grade_form($db, $title, $subtitle, $user, $action, $course, $section, $semester, $year, $assignment, $id = " ", $grade = " ", $error = null)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>\n";
	if ($error)
	{
		echo "<div class=\"deny\">$error</div>\n";
	}
	echo "<div class=\"form\">\n<form method=\"post\" action=\"$action\">\n";
	echo "<table>\n";

	if ($db)
	{
		// Populate dropdown box with enrolled students
		$query = $db->query("SELECT students.id, students.name FROM students NATURAL JOIN enrollment where enrollment.course = '$course' and enrollment.section = $section and enrollment.semester = '$semester' and enrollment.year = $year");
		if (!DB::isError($query))
		{
			echo "<tr><td>Student</td><td><select name=\"id\" value=\"$id\">\n";
	
			while ($row =& $query->fetchRow())
			{
				echo "<option value=\"$row->id\">$row->name - $row->id</option>\n";
			}
			echo "</select></td></tr>\n";
		}
		else
		{
			echo "<tr><td>Student Id:</td><td><input type=\"text\" name=\"id\" value=\"$id\" /></td></tr>\n";
		$error = getError($query);
		echo "Unexpected error: $error";
		}
	}
	else
	{
		echo "<input type=\"hidden\" name=\"id\" value=\"$id\" />\n";
	}

	echo "<tr><td>Grade:</td><td><input type=\"text\" name=\"grade\" value=\"$grade\" /></td></tr>\n";
	echo "<tr><td>\n";
	echo "<input type=\"hidden\" name=\"course\" value=\"$course\" />\n";
	echo "<input type=\"hidden\" name=\"section\" value=\"$section\" />\n";
	echo "<input type=\"hidden\" name=\"semester\" value=\"$semester\" />\n";
	echo "<input type=\"hidden\" name=\"year\" value=\"$year\" />\n";
	echo "<input type=\"hidden\" name=\"assignment\" value=\"$assignment\" />\n";
	echo "</td><td><button type=\"submit\">Submit</button></td></tr>\n";
	echo "</table></form></div>\n";

	$ucourse = urlencode($course);
	$usection = urlencode($section);
	$usemester = urlencode($semester);
	$uyear = urlencode($year);
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$ucourse/\">Section List</a> - <a href=\"section/$ucourse/$usection/$usemester/$uyear/\">Section</a> - <a href=\"report/$ucourse/$usection/$usemester/$uyear/\">Report</a> - Email - Print</div>";
	include "footer.html";
}

function question_form($title, $subtitle, $user, $action, $course, $section, $semester, $year, $assignment, $question = " ", $correct = " ", $attempted = " ")
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>\n";
	echo "<div class=\"form\">\n<form method=\"post\" action=\"$action\">\n";
	echo "<table>\n";
	echo "<tr><td>Question Number:</td><td><input type=\"text\" name=\"question\" value=\"$question\" /></td></tr>\n";
	echo "<tr><td># Correct:</td><td><input type=\"text\" name=\"nCorrect\" value=\"$correct\" /></td></tr>\n";
	echo "<tr><td># Attempted:</td><td><input type=\"text\" name=\"nAttempted\" value=\"$attempted\" /></td></tr>\n";
	echo "<tr><td>\n";
	echo "<input type=\"hidden\" name=\"course\" value=\"$course\" />\n";
	echo "<input type=\"hidden\" name=\"section\" value=\"$section\" />\n";
	echo "<input type=\"hidden\" name=\"semester\" value=\"$semester\" />\n";
	echo "<input type=\"hidden\" name=\"year\" value=\"$year\" />\n";
	echo "<input type=\"hidden\" name=\"assignment\" value=\"$assignment\" />\n";
	echo "</td><td><button type=\"submit\">Submit</button></td></tr>\n";
	echo "</table></form></div>\n";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$course[url]/\">Section List</a> - <a href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">Section</a> - Email - Print</div>\n";
	include "footer.html";
}

function login_form($title, $subtitle, $error = null)
{
	include "head.html";
	echo "\t<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	if ($error)
	{
		echo "<div class=\"deny\">$error</div>\n";
	}
	echo "<div id=\"form\" class=\"form\">\n";
	echo "<form method=\"post\" action=\"login/\">\n";
	echo "<table>\n";
	echo "<tr><td>User Name:</td><td><input type=\"text\" name=\"user\" /></td></tr>\n";
	echo "<tr><td>Password:</td><td><input type=\"password\" name=\"pass\" /></td></tr>\n";
	echo "<tr><td></td><td><button type=\"submit\">Login</button> <a href=\"register/\">Register</a></td></tr>\n";
	echo "</table>\n</form>\n</div>\n";
	include "footer.html";
}

function success_page($title, $subtitle, $user, $url, $message)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	echo "<meta http-equiv=\"refresh\" content=\"3;url=$GLOBALS[BASE_URL]/$url\" />";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";
	echo "<div>$message</div>";
	include "footer.html";
}

function error_page($title, $subtitle, $user, $error)
{
	include "head.html";
	echo "<title>$title: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$title: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";
	echo "<div>$error.</div>";
	include "footer.html";
}

function auth($subtitle)
{
	if ( !isset($_SESSION['user']) || $_SESSION['type'] != "admin" )
	{
		include "head.html";
		echo "<title>$GLOBALS[TITLE]: Access Denied</title>\n";
		echo "<meta http-equiv=\"refresh\" content=\"3;url=$GLOBALS[BASE_URL]/login/\" />";
		include "header.html";
		echo "<div class=\"title\">Web-Grade: $subtitle</div>\n";
		include "deny.html";
		include "footer.html";
		exit();
	}
}

function auth_student($subtitle)
{
	if ( !isset($_SESSION['user']) || $_SESSION['type'] != "student" )
	{
		include "head.html";
		echo "<title>$GLOBALS[TITLE]: Access Denied</title>\n";
		echo "<meta http-equiv=\"refresh\" content=\"3;url=$GLOBALS[BASE_URL]/login/\" />";
		include "header.html";
		echo "<div class=\"title\">Web-Grade: $subtitle</div>\n";
		include "deny.html";
		include "footer.html";
		exit();
	}
}
?>
