<?php
	require_once("lib.php");

	$subtitle = "Course list";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Output course table
	$query =& $db->query("SELECT * FROM courses");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Courses</span><span> - <a href=\"addcourse/\">Add course</a></span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Course</th><th>Title</th><th># of Sections</th><th>Credits</th><th>Description</th><th>Modify</th><th>Delete</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		$course['url'] = urlencode($row->course);
		$title['url'] = urlencode($row->title);
		$credits['url'] = urlencode($row->credits);
		$description['url'] = urlencode($row->description);

		$query2 =& $db->query("SELECT * FROM sections where course = '$row->course'");
		$nSections = $query2->numRows();
		echo "<tr class=\"$class\"><td><a href=\"course/$course[url]/\">$row->course</a></td><td>$row->title</td><td class=\"center\">$nSections</td><td class=\"center\">$row->credits</td><td class=\"description\">$row->description</td><td class=\"center\"><a href=\"modifycourse/$course[url]/$title[url]/$credits[url]/$description[url]/\"><img class=\"icon\" src=\"images/icons/blue/database.gif\" width=\"16\" height=\"16\" alt=\"blue database\" /></a></td><td class=\"center\"><a id=\"course_url$i\" href=\"javascript:unlock('course', '$i','deletecourse/$course[url]/')\"><img class=\"icon\" id=\"course_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n";
	}
	echo "</table>\n";
	include "rgrey_footer.html";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - Section List - Section - Report - Email - Print</div>";
	include "footer.html";
?>