<?php
	require_once("lib.php");

	$subtitle = "Register";
	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		include "head.html";
		echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
		include "header.html";
		echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
		include "register.html";
		include "footer.html";
		exit();
	}

	$db = db_connect();

	// Validate input
	$user = validate($_POST['user'], $db);
	$pass = sha1($_POST['pass']);
	$email = validate($_POST['email'], $db);
	$id = validate($_POST['id'], $db);
	$first = validate($_POST['first'], $db);
	$last = validate($_POST['last'], $db);
	$name = $last['html'] . ", " . $first['html'];
	$major = validate($_POST['major'], $db);

	if ($user == "null" || $pass == "null" || $first == "null" || $last == "null" || $id  == "null" || $email == "null" )
	{
		include "head.html";
		echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
		include "header.html";
		echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
		echo "<div class=\"deny\">Invalid input.</div>";
		include "register.html";
		include "footer.html";
		exit();
	}

	// Create account
	$query1 = $db->query("INSERT INTO accounts VALUES('$user[sql]', '$pass', 'student', '$email[sql]')");
	$query2 = $db->query("INSERT INTO students VALUES('$user[sql]', $id[sql], '$name', '$major[sql]')");
	if (!DB::isError($query1) && !DB::isError($query2))
	{
		include "head.html";
		echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
		echo "<meta http-equiv=\"refresh\" content=\"3;url=$GLOBALS[BASE_URL]/login/\" />";
		include "header.html";
		echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
		echo "<div>Student '$name' registered.</div>";
		include "footer.html";
	}
	else
	{
		$error = getError($query1) . " " . getError($query2);

		echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
		echo "<meta http-equiv=\"refresh\" content=\"3;url=$GLOBALS[BASE_URL]/login/\" />";
		include "header.html";
		echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
		echo "<div>Failed to register: $error.</div>";
		include "footer.html";
	}
?>
