<?php
	require_once("lib.php");

	$subtitle = "Student Report";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	// Validate input
	$course = validate($_GET['course'], $db);
	$section = validate($_GET['section'], $db);
	$semester = validate($_GET['semester'], $db);
	$year = validate($_GET['year'], $db);
	$id = validate($_GET['id'], $db);
	$body = "Email report for $course[html]%0A";

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"report/$course[url]/$section[url]/$semester[url]/$year[url]/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Output assignments
	$query = $db->query("SELECT email, grade, assignment, name, students.id FROM students, grades, accounts WHERE students.username = accounts.username and students.id = grades.id and course = '$course[sql]' and section = '$section[sql]' and semester = '$semester[sql]' and year = '$year[sql]' and students.id = $id[sql]");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Grades</span></div>";
	echo "<table>\n";
	echo "<tr><th>Name</th><th>Id</th><th>Email</th><th>Assignment</th><th>Grade</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		echo "<tr class=\"$class\"><td>$row->name</td><td>$row->id</td><td>$row->email</td><td>$row->assignment</td><td>$row->grade</td></tr>\n";
		$body .= "$row->assignment:\t $row->grade%0A";
		$email = $row->email;
	}
	echo "</table>\n";
	include "rgrey_footer.html";


	// Output progress
	$data = graph($db, $course['html'], $section['html'], $semester['html'], $year['html'], $id['html']);
	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Student Progress</span></div>";
	echo "<div><img alt=\"Line Graph\" src=\"graph.php?$data\" /></div>";
	include "rgrey_footer.html";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$course[url]/\">Section List</a> - <a href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">Section</a> - <a href=\"report/$course[url]/$section[url]/$semester[url]/$year[url]/\">Report</a> - <a href=\"mailto:$email?subject=Report&amp;body=$body\">Email</a> - <a href=\"javascript:window.print()\">Print</a></div>";
	include "footer.html";
?>