<?php
	require_once("lib.php");

	$subtitle = "Student section list";
	auth_student($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Output section table
	$query = $db->query("SELECT sections.course, sections.section, sections.semester, sections.year, sections.instructor, sections.schedule, sections.location FROM ((sections NATURAL JOIN enrollment) NATURAL JOIN students) NATURAL JOIN accounts WHERE accounts.username = '$user'");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Sections</span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Course</th><th>Section</th><th>Semester</th><th>Year</th><th>Instructor</th><th>Schedule</th><th>Location</th><th># of Students</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;

		$course = validate($row->course, $db);
		$section = validate($row->section, $db);
		$semester = validate($row->semester, $db);
		$year = validate($row->year, $db);
		$instructor = validate($row->instructor, $db);
		$schedule = validate($row->schedule, $db);
		$location = validate($row->location, $db);

		$query2 = $db->query("SELECT * FROM enrollment WHERE course = '$course[sql]' and section = $row->section and semester = '$row->semester' and year = $row->year");
		$nStudents = $query2->numRows();
		echo "<tr class=\"$class\"><td><a href=\"student/$course[url]/$section[url]/$semester[url]/$year[url]/\">$row->course</a></td><td class=\"center\">$row->section</td><td>$row->semester</td><td>$row->year</td><td>$row->instructor</td><td>$row->schedule</td><td>$row->location</td><td class=\"center\">$nStudents</td></tr>\n";
	}
	echo "</table>\n";
	include "rgrey_footer.html";
	include "footer.html";
?>