<?php
	require_once("lib.php");

	$subtitle = "Student section";
	auth_student($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	$course = validate($_GET['course'], $db);
	$section = validate($_GET['section'], $db);
	$semester = validate($_GET['semester'], $db);
	$year = validate($_GET['year'], $db);

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Output grades
	$query = $db->query("SELECT assignments.assignment, grades.grade, grades.id FROM ((assignments NATURAL JOIN grades) NATURAL JOIN students) NATURAL JOIN accounts where accounts.username = '$user' and grades.course = '$course[sql]' and grades.section = $section[sql] and grades.semester = '$semester[sql]' and grades.year = $year[sql]");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Grades for $course[html] Section $section[html]</span></div>";
	echo "<table>\n";
	echo "<tr><th>Assignment</th><th>Grade</th></tr>\n";
	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		echo "<tr class=\"$class\"><td>$row->assignment</td><td>$row->grade</td></tr>\n";
		$id = $row->id;
	}
	echo "</table>\n";
	include "rgrey_footer.html";

	// Output progress
	$data = graph($db, $course['html'], $section['html'], $semester['html'], $year['html'], $id);
	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Student Progress</span></div>";
	echo "<div><img alt=\"Line Graph\" src=\"graph.php?$data\" /></div>";
	include "rgrey_footer.html";
	include "footer.html";
?>